## r-bioc-s4arrays 1.0.5+dfsg

=== DESCRIPTION ===
Package: S4Arrays
Title: Foundation of array-like containers in Bioconductor
Description: The S4Arrays package defines the Array virtual class to be
	extended by other S4 classes that wish to implement a container
	with an array-like semantic. It also provides: (1) low-level
	functionality meant to help the developer of such container to
	implement basic operations like display, subsetting, or coercion
	of their array-like objects to an ordinary matrix or array, and
	(2) a framework that facilitates block processing of array-like
	objects (typically on-disk objects).
biocViews: Infrastructure, DataRepresentation
URL: https://bioconductor.org/packages/S4Arrays
BugReports: https://github.com/Bioconductor/S4Arrays/issues
Version: 1.0.5
License: Artistic-2.0
Encoding: UTF-8
Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
		  email="hpages.on.github@gmail.com")
Depends: R (>= 4.3.0), methods, Matrix, abind, BiocGenerics (>=
        0.45.2), S4Vectors, IRanges
Imports: stats, crayon
LinkingTo: S4Vectors
Suggests: BiocParallel, SparseArray (>= 0.0.4), DelayedArray, testthat,
        knitr, rmarkdown, BiocStyle
VignetteBuilder: knitr
Collate: utils.R rowsum.R abind.R aperm2.R array_selection.R
        Nindex-utils.R Array-class.R dim-tuning-utils.R
        ArrayGrid-class.R mapToGrid.R extract_array.R type.R
        is_sparse.R read_block.R write_block.R show-utils.R zzz.R
git_url: https://git.bioconductor.org/packages/S4Arrays
git_branch: RELEASE_3_17
git_last_commit: e2a4074
git_last_commit_date: 2023-07-24
Date/Publication: 2023-07-24
NeedsCompilation: yes
Packaged: 2023-07-24 22:15:20 UTC; biocbuild
Author: Hervé Pagès [aut, cre]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-s4arrays (1.0.5+dfsg-1) unstable; urgency=medium

  * Source-only upload
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 17:37:05 +0200

r-bioc-s4arrays (1.0.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1041598)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 11:01:07 +0200

=== debian/control ===
Source: r-bioc-s4arrays
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4arrays
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4arrays.git
Homepage: https://bioconductor.org/packages/S4Arrays/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-abind,
               r-bioc-biocgenerics (>= 0.45.2),
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-cran-crayon
Testsuite: autopkgtest-pkg-r

Package: r-bioc-s4arrays
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: foundation of array-like containers in Bioconductor
 The S4Arrays package defines the Array virtual class to be
 extended by other S4 classes that wish to implement a container
 with an array-like semantic. It also provides: (1) low-level
 functionality meant to help the developer of such container to
 implement basic operations like display, subsetting, or coercion
 of their array-like objects to an ordinary matrix or array, and
 (2) a framework that facilitates block processing of array-like
 objects (typically on-disk objects).

## r-bioc-s4arrays 1.0.6+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Arrays
 BugReports: https://github.com/Bioconductor/S4Arrays/issues
-Version: 1.0.5
+Version: 1.0.6
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
@@ -29,10 +29,10 @@
         is_sparse.R read_block.R write_block.R show-utils.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Arrays
 git_branch: RELEASE_3_17
-git_last_commit: e2a4074
-git_last_commit_date: 2023-07-24
-Date/Publication: 2023-07-24
+git_last_commit: fbe4bb0
+git_last_commit_date: 2023-08-30
+Date/Publication: 2023-08-30
 NeedsCompilation: yes
-Packaged: 2023-07-24 22:15:20 UTC; biocbuild
+Packaged: 2023-08-30 22:38:46 UTC; biocbuild
 Author: Hervé Pagès [aut, cre]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

## r-bioc-s4arrays 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Arrays
 BugReports: https://github.com/Bioconductor/S4Arrays/issues
-Version: 1.0.6
+Version: 1.2.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
@@ -28,11 +28,11 @@
         ArrayGrid-class.R mapToGrid.R extract_array.R type.R
         is_sparse.R read_block.R write_block.R show-utils.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Arrays
-git_branch: RELEASE_3_17
-git_last_commit: fbe4bb0
-git_last_commit_date: 2023-08-30
-Date/Publication: 2023-08-30
+git_branch: RELEASE_3_18
+git_last_commit: bace321
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-08-30 22:38:46 UTC; biocbuild
+Packaged: 2023-10-24 22:50:48 UTC; biocbuild
 Author: Hervé Pagès [aut, cre]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-s4arrays (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 00:16:36 +0000

r-bioc-s4arrays (1.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 05 Sep 2023 07:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Charles Plessy <plessy@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-s4arrays
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-s4arrays.git
 Homepage: https://bioconductor.org/packages/S4Arrays/

## r-bioc-s4arrays 1.4.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -11,11 +11,13 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Arrays
 BugReports: https://github.com/Bioconductor/S4Arrays/issues
-Version: 1.2.0
+Version: 1.4.1
 License: Artistic-2.0
 Encoding: UTF-8
-Authors@R: person("Hervé", "Pagès", role=c("aut", "cre"),
-		  email="hpages.on.github@gmail.com")
+Authors@R: c(
+	person("Hervé", "Pagès", role=c("aut", "cre"),
+		email="hpages.on.github@gmail.com"),
+	person("Jacques", "Serizay", role="ctb"))
 Depends: R (>= 4.3.0), methods, Matrix, abind, BiocGenerics (>=
         0.45.2), S4Vectors, IRanges
 Imports: stats, crayon
@@ -28,11 +30,13 @@
         ArrayGrid-class.R mapToGrid.R extract_array.R type.R
         is_sparse.R read_block.R write_block.R show-utils.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Arrays
-git_branch: RELEASE_3_18
-git_last_commit: bace321
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 472c245
+git_last_commit_date: 2024-05-20
+Repository: Bioconductor 3.19
+Date/Publication: 2024-05-20
 NeedsCompilation: yes
-Packaged: 2023-10-24 22:50:48 UTC; biocbuild
-Author: Hervé Pagès [aut, cre]
+Packaged: 2024-05-20 23:05:24 UTC; biocbuild
+Author: Hervé Pagès [aut, cre],
+  Jacques Serizay [ctb]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-s4arrays (1.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 00:25:56 +0200

r-bioc-s4arrays (1.4.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 11:42:40 +0200

r-bioc-s4arrays (1.4.1+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version. Closes: #1071348
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 18:27:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-abind,
-               r-bioc-biocgenerics (>= 0.45.2),
-               r-bioc-s4vectors,
-               r-bioc-iranges,
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-iranges (>= 2.38.1),
                r-cran-crayon
 Testsuite: autopkgtest-pkg-r
 
@@ -24,9 +25,16 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-iranges (>= 2.38.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocparallel (>= 1.38.0),
+          r-bioc-sparsearray (>= 1.4.8),
+          r-bioc-delayedarray (>= 0.30.1),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: foundation of array-like containers in Bioconductor
  The S4Arrays package defines the Array virtual class to be
  extended by other S4 classes that wish to implement a container

## r-bioc-s4arrays 1.6.0%2Bdfsg

=== debian/changelog ===
r-bioc-s4arrays (1.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 12:40:35 +0100

r-bioc-s4arrays (1.6.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Upload to unstable.
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Nov 2024 07:19:13 +0100

## r-bioc-s4arrays 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 biocViews: Infrastructure, DataRepresentation
 URL: https://bioconductor.org/packages/S4Arrays
 BugReports: https://github.com/Bioconductor/S4Arrays/issues
-Version: 1.4.1
+Version: 1.6.0
 License: Artistic-2.0
 Encoding: UTF-8
 Authors@R: c(
@@ -27,16 +27,17 @@
 VignetteBuilder: knitr
 Collate: utils.R rowsum.R abind.R aperm2.R array_selection.R
         Nindex-utils.R Array-class.R dim-tuning-utils.R
-        ArrayGrid-class.R mapToGrid.R extract_array.R type.R
-        is_sparse.R read_block.R write_block.R show-utils.R zzz.R
+        Array-subsetting.R Array-subassignment.R ArrayGrid-class.R
+        mapToGrid.R extract_array.R type.R is_sparse.R read_block.R
+        write_block.R show-utils.R zzz.R
 git_url: https://git.bioconductor.org/packages/S4Arrays
-git_branch: RELEASE_3_19
-git_last_commit: 472c245
-git_last_commit_date: 2024-05-20
-Repository: Bioconductor 3.19
-Date/Publication: 2024-05-20
+git_branch: RELEASE_3_20
+git_last_commit: e100af0
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-20 23:05:24 UTC; biocbuild
+Packaged: 2024-10-30 02:35:50 UTC; biocbuild
 Author: Hervé Pagès [aut, cre],
   Jacques Serizay [ctb]
 Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/control ===
--- 
+++ 
@@ -10,31 +10,24 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-abind,
-               r-bioc-biocgenerics (>= 0.50.0),
-               r-bioc-s4vectors (>= 0.42.1),
-               r-bioc-iranges (>= 2.38.1),
-               r-cran-crayon
+               r-bioc-biocgenerics (>= 0.45.2),
+               r-bioc-s4vectors,
+               r-bioc-iranges,
+               r-cran-crayon,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-s4arrays
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0),
-         r-bioc-s4vectors (>= 0.42.1),
-         r-bioc-iranges (>= 2.38.1)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocparallel (>= 1.38.0),
-          r-bioc-sparsearray (>= 1.4.8),
-          r-bioc-delayedarray (>= 0.30.1),
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: foundation of array-like containers in Bioconductor
  The S4Arrays package defines the Array virtual class to be
  extended by other S4 classes that wish to implement a container

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/S4Arrays.html .*/S4Arrays_(.*).tar.gz
